package monitor

import (
	"github.com/gin-gonic/gin"
	v1 "server/api/v1"
)

type PlayBackRouter struct{}

func (p *PlayBackRouter) InitPlayBackRouter(Router *gin.RouterGroup, RouterPub *gin.RouterGroup) {
	//playbackRouter := Router.Group("multiscreen").Use(middleware.OperationRecord())
	multiscreenRouterWithoutRecord := Router.Group("playback")
	//apiPublicRouterWithoutRecord := RouterPub.Group("multiscreen")
	commonApi := v1.ApiGroupApp.MonitorApiGroup.CommonApi
	baseApi := v1.ApiGroupApp.MonitorApiGroup.PlayBackApi
	{
		multiscreenRouterWithoutRecord.POST("/rewind", baseApi.RewindText)               //获取回放数据
		multiscreenRouterWithoutRecord.POST("/devicesCameras", commonApi.DevicesCameras) //获取摄像头设备列表
	}

}
